Get Product
API Reference
GET
/api/v1/experience/agent/getProductDocument History
| version | publish date | Description |
|---|---|---|
| 1.0.0 | 25-10-2026 | Intial Specification |
Header Parameters
Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}
Query Parameters
lastSyncDate
optional
Datetime
lastest datetime util today
Example: 2026-09-09
pageNumber
required
number
Page number
Example: 1
pageSize
required
number
Page size; MAX = 100
Example: 20
language
optional
string
Desired language for response
Defualt : en-US
Defualt : en-US
Example: en-US / th-TH
category
optional
string
category
Example: Theme Parks, Adventure & Nature, Museums, Sightseeing, Transportation, Culinary/Cooking Classes, Shopping Tours, Health & Beauty, SIM Card & Wifi, Day Tour, Cruises, Spa & Relax, Classes & Cultures, Outdoor & Sports, Water Activities, Culinary Experiences, Water Parks, Attraction Passes, Zoo & Aquariums, Historical Sites, Parks & Gardens, Games, Playgrounds, Others, Airport Lounge, Indoor Activity, Dinner Cruise, Golf Course, Mutelu
countryCode
optional
string
Country code in ISO 3166-1 alpha-2 format
Example: TH
Response Schema
ref
required
string
Reference transaction
status
required
boolean
Status
statusCode
required
string
Status code
message
required
String
Error message
data
required
object
Data response object
pagination
required
object
Pagination information
pageSize
required
number
Number of records returned per page
pageNumber
required
number
Current page number, starting from 1
totalNumber
required
number
Total number of products
products
required
array object
products list
id
required
string
products id
name
required
string
products name
category
required
string
products category
countryCode
required
string
products countryCode
updateAt
required
string
update product date time